"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const factory = require("../../core/factory/factory.cjs");
const ModalBaseBody = require("../ModalBase/ModalBaseBody.cjs");
const Drawer_context = require("./Drawer.context.cjs");
const Drawer_module_css = require("./Drawer.module.css.cjs");
const defaultProps = {};
const DrawerBody = factory.factory((_props, ref) => {
  const props = useProps.useProps("DrawerBody", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = Drawer_context.useDrawerContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    ModalBaseBody.ModalBaseBody,
    {
      ref,
      ...ctx.getStyles("body", { classNames, style, styles, className }),
      ...others
    }
  );
});
DrawerBody.classes = Drawer_module_css.default;
DrawerBody.displayName = "@mantine/core/DrawerBody";
exports.DrawerBody = DrawerBody;
